Groovy Documentation

## org.codehaus.groovy.grails.orm.hibernate.metaclass
[Java] Class FindPersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.FindPersistentMethod

    public class FindPersistentMethod
    extends AbstractStaticPersistentMethod

The "find" persistent static method allows searching for instances using either an example instance or an HQL query. This method returns the first result of the query. A GrailsQueryException is thrown if the query is not a valid query for the domain class.

Examples in Groovy: `// retrieve the first account ordered by account number def a = Account.find("from Account as a order by a.number asc" ) // with query parameters def a = Account.find("from Account as a where a.number = ? and a.branch = ?", [38479, "London"]) // with query named parameters def a = Account.find("from Account as a where a.number = :number and a.branch = :branch", [number:38479, branch:"London"]) // query by example def a = new Account() a.number = 495749357 def a = Account.find(a)`

Authors:
  Graeme Rocher
  Sergey Nebolsin

Field Summary
`static SimpleTypeConverter` | `converter`

Constructor Summary
`FindPersistentMethod(SessionFactory sessionFactory, java.lang.ClassLoader classLoader)`

Method Summary
`protected java.lang.Object` | `doInvokeInternal(java.lang.Class clazz, java.lang.String methodName, groovy.lang.Closure additionalCriteria, Object[] arguments)`

Methods inherited from class AbstractStaticPersistentMethod
doInvokeInternal, getCriteria, getHibernateTemplate, invoke, invoke

Methods inherited from class AbstractStaticMethodInvocation
getPattern, invoke, isMethodMatch, setPattern, toString

Field Detail

### converter

    public static SimpleTypeConverter converter

Constructor Detail

### FindPersistentMethod

    public FindPersistentMethod(SessionFactory sessionFactory, java.lang.ClassLoader classLoader)

Method Detail

### doInvokeInternal

    @SuppressWarnings({ "unchecked", "rawtypes" })
    @Override
    protected java.lang.Object doInvokeInternal(java.lang.Class clazz, java.lang.String methodName, groovy.lang.Closure additionalCriteria, Object[] arguments)

Groovy Documentation